package de.dass_it.vanhelsing.gui.items;
public class ClientItem extends ItemType implements UserObjectItem{ 

	/**
	 * @uml.property  name="name"
	 */
	private String name;
	/**
	 * @uml.property  name="address"
	 */
	private String address;
	/**
	 * @uml.property  name="fdport"
	 */
	private String fdport;
	/**
	 * @uml.property  name="catalog"
	 */
	private String catalog;
	/**
	 * @uml.property  name="password"
	 */
	private String password;
	/**
	 * @uml.property  name="fileretention"
	 */
	private String fileretention;
	/**
	 * @uml.property  name="jobretention"
	 */
	private String jobretention;
	/**
	 * @uml.property  name="autoprune"
	 */
	private String autoprune;
	/**
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	private String maximumconcurrentjobs;
	/**
	 * @uml.property  name="priority"
	 */
	private String priority;
	
	public ClientItem() {}

	/**
	 * @return
	 * @uml.property  name="name"
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name
	 * @uml.property  name="name"
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return
	 * @uml.property  name="address"
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @param address
	 * @uml.property  name="address"
	 */
	public void setAddress(String address) {
		this.address = address;
	}


	/**
	 * @return
	 * @uml.property  name="catalog"
	 */
	public String getCatalog() {
		return catalog;
	}

	/**
	 * @param catalog
	 * @uml.property  name="catalog"
	 */
	public void setCatalog(String catalog) {
		this.catalog = catalog;
	}

	/**
	 * @return
	 * @uml.property  name="password"
	 */
	public String getPassword() {
		return password;
	}

	/**
	 * @param password
	 * @uml.property  name="password"
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * @return
	 * @uml.property  name="priority"
	 */
	public String getPriority() {
		return priority;
	}

	/**
	 * @param priority
	 * @uml.property  name="priority"
	 */
	public void setPriority(String priority) {
		this.priority = priority;
	}

	/**
	 * @param fdport
	 * @uml.property  name="fdport"
	 */
	public void setFdport(String fdport) {
		this.fdport = fdport;
	}

	/**
	 * @return
	 * @uml.property  name="fdport"
	 */
	public String getFdport() {
		return fdport;
	}

	/**
	 * @param fileretention
	 * @uml.property  name="fileretention"
	 */
	public void setFileretention(String fileretention) {
		this.fileretention = fileretention;
	}

	/**
	 * @return
	 * @uml.property  name="fileretention"
	 */
	public String getFileretention() {
		return fileretention;
	}

	/**
	 * @param jobretention
	 * @uml.property  name="jobretention"
	 */
	public void setJobretention(String jobretention) {
		this.jobretention = jobretention;
	}

	/**
	 * @return
	 * @uml.property  name="jobretention"
	 */
	public String getJobretention() {
		return jobretention;
	}

	/**
	 * @param autoprune
	 * @uml.property  name="autoprune"
	 */
	public void setAutoprune(String autoprune) {
		this.autoprune = autoprune;
	}

	/**
	 * @return
	 * @uml.property  name="autoprune"
	 */
	public String getAutoprune() {
		return autoprune;
	}

	/**
	 * @param maximumconcurrentjobs
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public void setMaximumconcurrentjobs(String maximumconcurrentjobs) {
		this.maximumconcurrentjobs = maximumconcurrentjobs;
	}

	/**
	 * @return
	 * @uml.property  name="maximumconcurrentjobs"
	 */
	public String getMaximumconcurrentjobs() {
		return maximumconcurrentjobs;
	}

}
